# ReflectionMethod::createFromMethodName

(PHP 8 >= 8.3.0)

ReflectionMethod::createFromMethodName — Creates a new ReflectionMethod

### Descripción

public static ReflectionMethod::createFromMethodName(string `$method`): static

Creates a new ReflectionMethod.

### Parámetros

`method`

  Class name and method name delimited by `::`.

### Valores devueltos

Returns a new ReflectionMethod on success.

### Errores/Excepciones

A ReflectionException is thrown if the given method does not exist.

### Ejemplos

Ejemplo #1 ReflectionMethod::createFromMethodName() example

`<?php
class Foo {
public function bar() {
}
}
$methodInfo = ReflectionMethod::createFromMethodName("Foo::bar");
var_dump($methodInfo);
?>`

El resultado del ejemplo sería:

    object(ReflectionMethod)#1 (2) {
      ["name"]=>
      string(3) "bar"
      ["class"]=>
      string(3) "Foo"
    }